package com.ym.mec.biz.dal.entity;

import com.ym.mec.auth.api.entity.SysUser;
import com.ym.mec.biz.dal.dto.BasicUserDto;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class CourseScheduleEvaluate {
    private Long id;

    private String musicGroupId;

    @ApiModelProperty(value = "班级id")
    private Integer classGroupId;

    private Long courseScheduleId;

    private Integer teacherId;

    @ApiModelProperty(value = "评价选项，英文逗号分隔")
    private String item;

    @ApiModelProperty(value = "报告详情")
    private String comment;

    private Date createTime;

    private Integer studentId;

    @ApiModelProperty(value = "学生专业")
    private String subjectName;

    @ApiModelProperty(value = "学生信息")
    private SysUser student;

    @ApiModelProperty(value = "老师信息")
    private BasicUserDto teacher;

    @ApiModelProperty(value = "课程次数")
    private Integer times;

    @ApiModelProperty(value = "总分钟数")
    private Integer totalMinutes;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public Integer getClassGroupId() {
        return classGroupId;
    }

    public void setClassGroupId(Integer classGroupId) {
        this.classGroupId = classGroupId;
    }

    public Long getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Long courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public String getItem() {
        return item;
    }

    public void setItem(String item) {
        this.item = item;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public BasicUserDto getTeacher() {
        return teacher;
    }

    public void setTeacher(BasicUserDto teacher) {
        this.teacher = teacher;
    }

    public SysUser getStudent() {
        return student;
    }

    public void setStudent(SysUser student) {
        this.student = student;
    }

    public Integer getTimes() {
        return times;
    }

    public void setTimes(Integer times) {
        this.times = times;
    }

    public Integer getTotalMinutes() {
        return totalMinutes;
    }

    public void setTotalMinutes(Integer totalMinutes) {
        this.totalMinutes = totalMinutes;
    }
}