package com.ym.mec.biz.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.biz.dal.dao.StudentDao;
import com.ym.mec.biz.dal.entity.Student;
import com.ym.mec.biz.service.StudentService;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;

@Service
public class StudentServiceImpl extends BaseServiceImpl<Integer, Student> implements StudentService {

	@Autowired
	private StudentDao studentDao;

	@Override
	public BaseDAO<Integer, Student> getDAO() {
		return studentDao;
	}

}