package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.dto.PracticeGroupsDto;
import com.ym.mec.biz.dal.entity.ClassGroup;
import com.ym.mec.biz.dal.entity.CourseScheduleEvaluate;
import com.ym.mec.biz.dal.entity.TeacherCourseStatistics;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

public interface CourseScheduleEvaluateDao extends BaseDAO<Long, CourseScheduleEvaluate> {

    CourseScheduleEvaluate findByClassGroupId(@Param("classGroupId") Integer classGroupId);

    List<CourseScheduleEvaluate> findByClassGroupIds(@Param("classGroupIds") List<Integer> classGroupIds);

    List<PracticeGroupsDto> getPracticeGroupsFree();

    List<PracticeGroupsDto> getPracticeGroupsBuy();

    List<PracticeGroupsDto> getHasReportNums();

    List<PracticeGroupsDto> getOrganPracticeGroups();

    List<PracticeGroupsDto> getOrganMoney();
}